# CBpanel "Separator" plugin

name = "Separator"
description = "Add a thin division line between plugins"

import CBpanel, gtk, gobject, time

class Plugin(CBpanel.Plugin):
    def __init__(self, panel, settings):
        CBpanel.Plugin.__init__(self, panel, settings)
        if panel.paneltype == "top" or panel.paneltype == "bottom":
            sep = gtk.VSeparator()
        else:
            sep = gtk.HSeparator()
        sep.show()
        self.add(sep)
